[Libreoffice-commits] online.git: 2 commits - docker/l10n-docker-nightly.sh

Libreoffice Gerrit user logerrit at kemper.freedesktop.org
Thu Jan 31 09:05:13 UTC 2019


 docker/l10n-docker-nightly.sh |   15 ++++++++++-----
 1 file changed, 10 insertions(+), 5 deletions(-)

New commits:
commit de4e89c6238d22cfcd9be5e22117ce6f7ff6e1a3
Author:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
AuthorDate: Thu Jan 31 10:04:24 2019 +0100
Commit:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
CommitDate: Thu Jan 31 10:04:24 2019 +0100

    Docker: Add env var for extra build options
    
    Change-Id: I6f3cb4c526aff5a0543c69143c961b5bc4a555e9

diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 8077de792..5601de2f7 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -10,6 +10,7 @@
 # * DOCKER_HUB_TAG  - which Docker Hub tag to create
 # * LIBREOFFICE_BRANCH  - which branch to build (needs to exist in both core and online)
 # * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
+# * ONLINE_EXTRA_BUILD_OPTIONS - extra build options for online
 # * NO_DOCKER_IMAGE - if set, don't build the docker image itself, just do all the preps
 
 # check we can sudo without asking a pwd
@@ -147,7 +148,7 @@ chrpath -r '$ORIGIN' "$INSTDIR"/opt/libreoffice/program/libcairo.so.2
 ##### loolwsd & loleaflet #####
 
 # build
-( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path="$INSTDIR"/opt/libreoffice ) || exit 1
+( cd online && ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var --enable-silent-rules --with-lokit-path="$BUILDDIR"/libreoffice/include --with-lo-path="$INSTDIR"/opt/libreoffice $ONLINE_EXTRA_BUILD_OPTIONS) || exit 1
 ( cd online/loleaflet/po && ../../scripts/downloadpootle.sh )
 ( cd online/loleaflet && make l10n) || exit 1
 ( cd online && scripts/locorestrings.py "$BUILDDIR"/online "$BUILDDIR"/libreoffice/translations )
commit 8d2492c38421404c6ce3acb46078b3c6f28f6de7
Author:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
AuthorDate: Thu Jan 31 09:50:52 2019 +0100
Commit:     Samuel Mehrbrodt <Samuel.Mehrbrodt at cib.de>
CommitDate: Thu Jan 31 09:50:52 2019 +0100

    Docker: Add option to skip docker image build
    
    Need to have this build differently in our env
    
    Change-Id: I8233dcf216c527a5238329f94b68836168648cfe

diff --git a/docker/l10n-docker-nightly.sh b/docker/l10n-docker-nightly.sh
index 3fa5bfce3..8077de792 100755
--- a/docker/l10n-docker-nightly.sh
+++ b/docker/l10n-docker-nightly.sh
@@ -10,6 +10,7 @@
 # * DOCKER_HUB_TAG  - which Docker Hub tag to create
 # * LIBREOFFICE_BRANCH  - which branch to build (needs to exist in both core and online)
 # * LIBREOFFICE_BUILD_TARGET - which make target to run (in core repo)
+# * NO_DOCKER_IMAGE - if set, don't build the docker image itself, just do all the preps
 
 # check we can sudo without asking a pwd
 echo "Trying if sudo works without a password"
@@ -158,7 +159,10 @@ chrpath -r '$ORIGIN' "$INSTDIR"/opt/libreoffice/program/libcairo.so.2
 ( cd online && DESTDIR="$INSTDIR" make install ) || exit 1
 
 # Create new docker image
-
-cd "$SRCDIR"
-docker build --no-cache -t $DOCKER_HUB_REPO:$DOCKER_HUB_TAG . || exit 1
-docker push $DOCKER_HUB_REPO:$DOCKER_HUB_TAG || exit 1
+if [ -z "$NO_DOCKER_IMAGE" ]; then
+  cd "$SRCDIR"
+  docker build --no-cache -t $DOCKER_HUB_REPO:$DOCKER_HUB_TAG . || exit 1
+  docker push $DOCKER_HUB_REPO:$DOCKER_HUB_TAG || exit 1
+else
+  echo "Skipping docker image build"
+fi;


More information about the Libreoffice-commits mailing list